import { FuseNavigation } from 'src/@fuse/types';

export const navigation: FuseNavigation[] = [
  {
    id: 'dashboard',
    title: '대시보드',
    translate: 'NAV.DASHBOARD',
    type: 'item',
    icon: 'dashboard',
    url: '/dashboard'
  },
  {
    id: 'users',
    title: '회원 관리',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'user_list',
        title: '회원 리스트',
        translate: 'NAV.USER_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/user-list',
      },
      {
        id: 'user_connect_list',
        title: '현재접속자',
        translate: 'NAV.USER_CONNECT_LIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/user-connect',
      },
      {
        id: 'user_regist',
        title: '회원가입',
        translate: 'NAV.USER_REGIST.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/user-connect'
      },
      {
        id: 'user_fees_management',
        title: '커미션 설정',
        translate: 'NAV.USER_FEES_MANAGEMENT.TITLE',
        type: 'item',
        icon: 'email',
        url: '/pages/users/user-connect'
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  },
  {
    id: 'users',
    title: 'Users',
    translate: 'NAV.USERS',
    type: 'collapsable',
    children: [
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      },
      {
        id: 'sample',
        title: 'Sample',
        translate: 'NAV.SAMPLE.TITLE',
        type: 'item',
        icon: 'email',
        url: '/sample',
        badge: {
          title: '25',
          translate: 'NAV.SAMPLE.BADGE',
          bg: '#F44336',
          fg: '#FFFFFF'
        }
      }
    ]
  }
];
